Subject: Roundup

From: HELEN COLEMAN <[email-masked]>
Date: Thu, 23 Jul 1998 09:21:57 +0800

I am continually being told that the herbicide Roundup, is 'perfectly safe',
with one old codger telling me 'you could drink it!"  and that I should be
using it on my garden to control the rampant kikuyu, instead of persisting
with sheetmulching.  I am longing to argue with these relics, but I don't
have the statistics that I need to convince them.  Can anyone direct me to
some conclusive proof of the harmful effects of Roundup?

Thanks for any help you can give,
Helen Coleman